<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Nick Jones,  PHP-Fusion Mods UK
| Developers: Craig
| Support: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."jquery_popup_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."jquery_popup_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."jquery_popup_panel/locale/English.php";
}
include INFUSIONS."jquery_popup_panel/infusion_db.php";

$inf_title = $locale['inf_title'];
$inf_description = $locale['inf_desc'];
$inf_version = "1.00";
$inf_developer = "PHP-Fusion Mods UK";
$inf_email = "admin@phpfusionmods.co.uk";
$inf_weburl = "http://www.phpfusionmods.co.uk";

$inf_folder = "jquery_popup_panel";

$inf_newtable[1] = DB_JQPP_SETTINGS." (
jqpp_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
jqpp_title VARCHAR(50) NOT NULL DEFAULT '',
jqpp_msg VARCHAR(500) NOT NULL DEFAULT '',
jqpp_gradient_start_colour VARCHAR(6) NOT NULL DEFAULT '',
jqpp_gradient_end_colour VARCHAR(6) NOT NULL DEFAULT '',
jqpp_border_radius TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
jqpp_box_text_colour VARCHAR(6) NOT NULL DEFAULT '',
jqpp_heading_bgcolour VARCHAR(6) NOT NULL DEFAULT '',
jqpp_heading_text_colour VARCHAR(6) NOT NULL DEFAULT '',
jqpp_heading_text_shadow_colour VARCHAR(6) NOT NULL DEFAULT '',
jqpp_button_text VARCHAR(20) NOT NULL DEFAULT '',
jqpp_button_colour VARCHAR(6) NOT NULL DEFAULT '',
jqpp_button_text_colour VARCHAR(6) NOT NULL DEFAULT '',
jqpp_cookie INT(10) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (jqpp_enable)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_JQPP_SETTINGS." (jqpp_enable, jqpp_title, jqpp_msg, jqpp_gradient_start_colour, jqpp_gradient_end_colour, jqpp_border_radius, jqpp_box_text_colour, jqpp_heading_bgcolour, jqpp_heading_text_colour, jqpp_heading_text_shadow_colour, jqpp_button_text, jqpp_button_colour, jqpp_button_text_colour, jqpp_cookie) VALUES ('1', '".$locale['inf_title']."', '".$locale['jqpp_002']."', 'af2b26', '942422', '0', 'ffffff', 'f2f2f2', 'ff0000', '828282', '".$locale['jqpp_003']."', '338A03', 'ffffff', '30')";

$inf_insertdbrow[2] = DB_PANELS." SET panel_name='".$locale['inf_title']."', panel_filename='jquery_popup_panel', panel_content='', panel_side='2', panel_type='file', panel_access='0', panel_display='1', panel_status='1', panel_url_list='', panel_restriction='0'";

$inf_droptable[1] = DB_JQPP_SETTINGS;

$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='jquery_popup_panel'";

$inf_adminpanel[1] = array(
    "title" => $locale['inf_title'], 
    "image" => "image.gif",
    "panel" => "admin.php", 
    "rights" => "JQP" 
);
?>