<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin.php
| Version: 1.00
| Author: PHP-Fusion Mods UK
| Developers: Craig
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
include INFUSIONS."jquery_popup_panel/infusion_db.php";
require_once INCLUDES."bbcode_include.php";
if (!checkrights("JQP") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) redirect("../index.php");

if (file_exists(INFUSIONS."jquery_popup_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."jquery_popup_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."jquery_popup_panel/locale/English.php";
}

add_to_title($locale['global_200'].$locale['jqpp_005']);

add_to_head("<script type='text/javascript' src='".INFUSIONS."jquery_popup_panel/js/jscolor/jscolor.js'></script>");
if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	}
if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

   $jqpp_settings = dbarray(dbquery("SELECT * FROM ".DB_JQPP_SETTINGS.""));
    $error = 0;

	$jqpp_enable=(isset($_POST['jqpp_enable']) && isNum($_POST['jqpp_enable'])) ? $_POST['jqpp_enable'] : "0";
	$jqpp_title = addslash($jqpp_settings['jqpp_title']);
	$jqpp_msg = addslash($jqpp_settings['jqpp_msg']);
	$jqpp_gradient_start_colour = stripinput($jqpp_settings['jqpp_gradient_start_colour']);
	$jqpp_gradient_end_colour = stripinput($jqpp_settings['jqpp_gradient_end_colour']);
	$jqpp_border_radius=(isset($_POST['jqpp_border_radius']) && isNum($_POST['jqpp_border_radius'])) ? $_POST['jqpp_border_radius'] : "0";
	$jqpp_box_text_colour = stripinput($jqpp_settings['jqpp_box_text_colour']);
	$jqpp_heading_bgcolour = stripinput($jqpp_settings['jqpp_heading_bgcolour']);
	$jqpp_heading_text_colour = stripinput($jqpp_settings['jqpp_heading_text_colour']);
	$jqpp_heading_text_shadow_colour = stripinput($jqpp_settings['jqpp_heading_text_shadow_colour']);
	$jqpp_button_text = addslash($jqpp_settings['jqpp_button_text']);
	$jqpp_button_colour= stripinput($jqpp_settings['jqpp_button_colour']);
	$jqpp_button_text_colour = stripinput($jqpp_settings['jqpp_button_text_colour']);
	$jqpp_cookie = stripinput($jqpp_settings['jqpp_cookie']);
	
if (isset($_POST['savesettings']) && $_POST['jqpp_title'] !=="" && $_POST['jqpp_msg'] !==""  &&  $_POST['jqpp_cookie'] !=="" &&  $_POST['jqpp_cookie'] !=="0") {
    $result = dbquery("UPDATE ".DB_JQPP_SETTINGS." SET jqpp_enable='$jqpp_enable', jqpp_title='".addslashes($_POST['jqpp_title'])."', jqpp_msg='".stripinput($_POST['jqpp_msg'])."', jqpp_gradient_start_colour='".addslashes($_POST['jqpp_gradient_start_colour'])."', jqpp_gradient_end_colour='".addslashes($_POST['jqpp_gradient_end_colour'])."', jqpp_border_radius='$jqpp_border_radius', jqpp_box_text_colour='".addslashes($_POST['jqpp_box_text_colour'])."', jqpp_heading_bgcolour='".addslashes($_POST['jqpp_heading_bgcolour'])."', jqpp_heading_text_colour='".addslashes($_POST['jqpp_heading_text_colour'])."', jqpp_heading_text_shadow_colour='".addslashes($_POST['jqpp_heading_text_shadow_colour'])."', jqpp_button_text='".addslashes($_POST['jqpp_button_text'])."', jqpp_button_colour='".addslashes($_POST['jqpp_button_colour'])."', jqpp_button_text_colour='".addslashes($_POST['jqpp_button_text_colour'])."', jqpp_cookie='".addslashes($_POST['jqpp_cookie'])."'");
	if (!$result) { $error = 1; }

	redirect(FUSION_SELF.$aidlink."&error=".$error);
}



	opentable($locale['jqpp_005']);

	echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."' onsubmit='return ValidateForm(this);'>\n";
    echo "<table cellpadding='0' cellspacing='0' width='90%' class='tbl-border' align='center' style='margin-bottom: 10px;'>\n<tr>\n";
	echo "<td class='tbl' >".$locale['jqpp_006'].":</td>\n";
	echo "<td class='tbl' ><select name='jqpp_enable' class='textbox'>\n";
	echo "<option value='1'".($jqpp_settings['jqpp_enable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($jqpp_settings['jqpp_enable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n</tr><tr>\n";
	echo "<td  class='tbl'>".$locale['jqpp_004'].":</td>\n";
	echo "<td class='tbl'><input autocomplete='off'  type='text' maxlength='10' name='jqpp_cookie' value='".$jqpp_settings['jqpp_cookie']."'  class='textbox' style='width:90px;' /><br />\n";
	echo "</td>\n</tr><tr>\n";
	echo "<td class='tbl'>".$locale['jqpp_007'].":</td>\n";
	echo "<td class='tbl'><input spellcheck='true' autocomplete='off'  type='text' maxlength='50' name='jqpp_title' value='".$jqpp_settings['jqpp_title']."'  class='textbox' style='width:360px;' /><br />\n";
	echo "</td>\n</tr><tr>\n";
	echo "<td  class='tbl' style='vertical-align: top;'>".$locale['jqpp_008'].":</td>\n";
	echo "<td class='tbl'><input spellcheck='true' autocomplete='off'  type='text' name='jqpp_msg' value='".$jqpp_settings['jqpp_msg']."'  class='textbox' style='width:360px;' /><br />\n";
	echo display_bbcodes("400px;", "jqpp_msg", "settingsform", "b|i|u|small")."\n";
	echo "</td>\n</tr>\n";
	echo "</table>\n";
	echo"<div style='width: 75%; margin-left: auto; margin-right: auto;' class='admin-message'>".$locale['jqpp_009'] ."</div>";
	echo "<table cellpadding='0' cellspacing='0' width='90%' class='tbl-border' align='center' style='margin-top: 10px;'>\n<tr>\n";
	echo" <td align='left' class='tbl'>".$locale['jqpp_010'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='jqpp_gradient_start_colour' value='".$jqpp_settings['jqpp_gradient_start_colour']."'/></td>\n";
	echo "</tr><tr>\n";
	echo" <td align='left' class='tbl'>".$locale['jqpp_011'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='jqpp_gradient_end_colour' value='".$jqpp_settings['jqpp_gradient_end_colour']."'/></td>\n";
	echo "</tr><tr>\n";
	echo "<td class='tbl' >".$locale['jqpp_012'].":</td>\n";
	echo "<td class='tbl' ><select name='jqpp_border_radius' class='textbox'>\n";
	echo "<option value='1'".($jqpp_settings['jqpp_border_radius'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($jqpp_settings['jqpp_border_radius'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n</tr>\n<tr>\n";
	echo" <td align='left' class='tbl'>".$locale['jqpp_013'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='jqpp_box_text_colour' value='".$jqpp_settings['jqpp_box_text_colour']."'/></td>\n";
	echo "</tr><tr>\n";
	echo" <td align='left' class='tbl'>".$locale['jqpp_014'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='jqpp_heading_bgcolour' value='".$jqpp_settings['jqpp_heading_bgcolour']."'/></td>\n";
	echo "</tr><tr>\n";
	echo" <td align='left' class='tbl'>".$locale['jqpp_015'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='jqpp_heading_text_colour' value='".$jqpp_settings['jqpp_heading_text_colour']."'/></td>\n";
	echo "</tr>\n<tr>";
	echo" <td align='left' class='tbl'>".$locale['jqpp_016'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='jqpp_heading_text_shadow_colour' value='".$jqpp_settings['jqpp_heading_text_shadow_colour']."'/></td>\n";
	echo "</tr>\n<tr>";
	echo "<td class='tbl'>".$locale['jqpp_022'].":</td>\n";
	echo "<td class='tbl'><input spellcheck='true' autocomplete='off'  type='text' maxlength='20' name='jqpp_button_text' value='".$jqpp_settings['jqpp_button_text']."'  class='textbox' style='width:115px;' /><br />\n";
	echo "</td>\n</tr><tr>\n";
	echo "<td class='tbl' >".$locale['jqpp_017'].":</td>\n";
	echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='jqpp_button_colour' value='".$jqpp_settings['jqpp_button_colour']."'/></td>\n";
	echo "<tr>";
	echo" <td align='left' class='tbl'>".$locale['jqpp_018'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='jqpp_button_text_colour' value='".$jqpp_settings['jqpp_button_text_colour']."'/></td>\n";
	echo "</tr>\n<tr>";
	echo "</table>\n";
	echo "<div width='80%' class='tbl' align='center'>\n";
	echo "<input type='submit' name='savesettings' value='".$locale['jqpp_019']."' class='button' />\n";
	echo"</div>\n";
	echo "</form>\n";
	
	
    closetable();
	
	add_to_footer("<script type='text/javascript'>
function ValidateForm(frm) {
	if(frm.jqpp_msg.value=='') {
		alert('".$locale['jqpp_020']."');
		return false;
	}
	if(frm.jqpp_title.value=='') {
		alert('".$locale['jqpp_021']."');
		return false;
	}
	
	
}
</script>");
	
require_once THEMES."templates/footer.php";
?>